# Fiber::throw

(PHP 8 >= 8.1.0)

Fiber::throw — Resumes execution of the fiber with an exception

### Descripción

public Fiber::throw(Throwable `$exception`): mixed

Resumes the fiber by throwing the given exception from the current Fiber::suspend() call.

If the fiber is not suspended when this method is called, a FiberError will be thrown.

### Parámetros

`exception`

  The exception to throw into the fiber from the current Fiber::suspend() call.

### Valores devueltos

The value provided to the next call to Fiber::suspend() or `null` if the fiber returns. If the fiber throws an exception before suspending, it will be thrown from the call to this method.